<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.ezhizao.project.business.mapper.BizMaterialBaseInfoMapper">

    <resultMap type="cn.ezhizao.project.business.domain.BizMaterialBaseInfo" id="BizMaterialBaseInfoResult">
        <id column="id" property="id"/>
    </resultMap>


    <select id="getList" parameterType="BizMaterialBaseInfo" resultMap="BizMaterialBaseInfoResult">
        SELECT * FROM biz_material_base_info
        <trim prefix=" WHERE" suffix="" suffixOverrides="AND">
            deleted = 0
            <if test="cpart != null  and cpart != ''">AND cpart = #{productCode}</if>
            <if test="part != null  and part != ''">AND part = #{materialCode}</if>
            <if test="prloc != null  and prloc != ''"> AND prloc = #{prloc}</if>
            <if test="gccd != null "> AND gccd = #{gccd}</if>
            <if test="ltcd != null  and ltcd != ''"> AND ltcd = #{ltcd}</if>
            <if test="zlcd != null  and zlcd != ''"> AND zlcd = #{zlcd}</if>
            <if test="utrate != null "> AND utrate = #{utrate}</if>
            <if test="dxqty != null "> AND dxqty = #{dxqty}</if>
            <if test="yzj != null "> AND yzj = #{yzj}</if>
            <if test="base != null "> AND base = #{base}</if>
            <if test="description != null  and description != ''"> AND description = #{description}</if>
            <if test="bomsta != null  and bomsta != ''"> AND bomsta = #{bomsta}</if>
            <if test="writeruser != null  and writeruser != ''"> AND writeruser = #{writeruser}</if>
            <if test="writedate != null "> AND writedate = #{writedate}</if>
        </trim>
    </select>

    <delete id="physicalDelete">
        DELETE FROM biz_material_base_info
        <trim prefix=" WHERE" suffix="" suffixOverrides="AND">
            <if test="id != null">
                id = #{id} AND
            </if>
       <!-- 删除条件为其他外键可以在这里加 -->
        </trim>
    </delete>
</mapper>
